Bug 3125 - rpm-devel should require popt
Summary: rpm-devel should require popt
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 15:20 UTC by otto
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-16 21:45:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description otto 1999-05-28 15:20:30 UTC
/usr/include/rpm/rpmlib.h says:
#include "popt.h"	/* XXX you now need to install the popt
package */

But rpm-devel does not formally require it, so I got an
error message trying to use the library...

Comment 1 Jeff Johnson 1999-06-16 21:45:59 UTC
Fixed in rpm-3.0.2-0.3. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.